@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

@tailwind base;
@tailwind components;
@tailwind utilities;

:root{
  font-family: 'Poppins', sans-serif;
}

/* :root {
  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;

  color-scheme: light dark;
  color: rgba(255, 255, 255, 0.87);
  background-color: #242424;

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-text-size-adjust: 100%;
}

a {
  font-weight: 500;
  color: #646cff;
  text-decoration: inherit;
}
a:hover {
  color: #535bf2;
}

body {
  margin: 0;
  display: flex;
  place-items: center;
  min-width: 320px;
  min-height: 100vh;
}

h1 {
  font-size: 3.2em;
  line-height: 1.1;
}

button {
  border-radius: 8px;
  border: 1px solid transparent;
  padding: 0.6em 1.2em;
  font-size: 1em;
  font-weight: 500;
  font-family: inherit;
  background-color: #1a1a1a;
  cursor: pointer;
  transition: border-color 0.25s;
}
button:hover {
  border-color: #646cff;
}
button:focus,
button:focus-visible {
  outline: 4px auto -webkit-focus-ring-color;
}

@media (prefers-color-scheme: light) {
  :root {
    color: #213547;
    background-color: #ffffff;
  }
  a:hover {
    color: #747bff;
  }
  button {
    background-color: #f9f9f9;
  }
} */

/* width */
::-webkit-scrollbar {
  width: 10px;
  border-radius: 15px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 15px;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 15px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}


/* width */
.small-scroll::-webkit-scrollbar {
  width: 4px;
  height: 4px;
  border-radius: 15px;
}

/* Track */
.small-scroll::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 15px;
}

/* Handle */
.small-scroll::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 15px;
}

/* Handle on hover */
.small-scroll::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.youtube-container {
  overflow: hidden;
  width: 100%;
  /* Keep it the right aspect-ratio */
  aspect-ratio: 16/9;
  /* No clicking/hover effects */
  pointer-events: none;
} 

.youtube-container iframe {
  /* Extend it beyond the viewport... */
  width: 100%;
  height: 300%;
  /* ...and bring it back again */
  margin-top: -100%;
}

.static-content *{
  all: revert;
}


@layer components {
  .active-nav-list {
    @apply cursor-pointer relative text-blue-700 before:absolute before:h-[4px] before:translate-y-[100%] before:w-[100%] before:bg-blue-500 before:rounded before:left-0 before:-bottom-0
  }

  table {
    @apply w-full text-xs
  }
  table > thead {
    @apply bg-blue-50 text-xs text-center
  }
  table > thead > tr > td {
    @apply p-2 text-center
  }
  table > thead > tr > td:first-child, table > tbody > tr > td:first-child {
    @apply rounded-l-lg text-center
  }
  table > thead > tr > td:last-child, table > tbody > tr > td:last-child {
    @apply rounded-r-lg text-center
  }
  table > tbody > tr {
    @apply px-2 py-2 divide-y
  }
  table > tbody > tr > td {
    @apply px-2 py-2 text-center
  }
}